'''Load a specified DNN model and apply it to a dataset'''

from sklearn import metrics
import numpy as np
import sys





if __name__ == '__main__':

	# read the gold and system preds
	y_test = np.loadtxt(sys.argv[1], dtype=int, delimiter='\n')
	y_pred =  np.loadtxt(sys.argv[2], dtype=int, delimiter='\n')
	acc2 = metrics.accuracy_score(y_test, y_pred)

	mic_p, mic_r, mic_f, sup = metrics.precision_recall_fscore_support(y_test, y_pred, average='micro')
	mac_p, mac_r, mac_f, sup = metrics.precision_recall_fscore_support(y_test, y_pred, average='macro')

	print " micro pre: " + str (mic_p) + " rec: " + str (mic_r) + " f-score: " + str (mic_f)
	print " macro pre: " + str (mac_p) + " rec: " + str (mac_r) + " f-score: " + str (mac_f)

"""
	y_test = np.array(y_test)
	print("Raw Accuracy:", acc2)

	#get label ids in sorted
	class_labels = sorted(label_id, key=label_id.get)
	class_ids    = sorted(label_id.values())

	print (metrics.classification_report(y_test, y_pred, labels=class_ids, target_names=class_labels) )
	print ("Confusion Matrix:\n", metrics.confusion_matrix(y_test, y_pred) )

	mic_p, mic_r, mic_f, sup = metrics.precision_recall_fscore_support(y_test, y_pred, average='micro')
	mac_p, mac_r, mac_f, sup = metrics.precision_recall_fscore_support(y_test, y_pred, average='macro')

	print (" micro pre: " + str (mic_p) + " rec: " + str (mic_r) + " f-score: " + str (mic_f))
	print (" macro pre: " + str (mac_p) + " rec: " + str (mac_r) + " f-score: " + str (mac_f)) """








